List Network Objects
GET
/network/object
const url = 'https://sylve.lan:8181/api/network/object';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/network/object \ --header 'Authorization: <Authorization>'List all configured network objects and their current usage state
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
Array<object>
object
autoUpdate
boolean
createdAt
string
description
string
entries
Array<object>
object
createdAt
string
id
integer
objectId
integer
updatedAt
string
value
IP, CIDR, port, country code, FQDN, etc.
string
id
integer
isUsed
boolean
isUsedBy
“”, “dhcp” for now
string
lastRefreshAt
string
lastRefreshError
string
name
string
refreshIntervalSeconds
integer
resolutionChecksum
string
resolutions
Array<object>
object
createdAt
string
id
integer
objectId
integer
resolvedIp
Deprecated mirror for resolved IP entries
string
resolvedValue
string
updatedAt
string
sourceChecksum
string
type
“Host”, “Mac”, “Network”, “Port”, “Country”, “List”, “FQDN”, “DUID”
string
updatedAt
string
error
string
message
string
status
string
Examplegenerated
{ "data": [ { "autoUpdate": true, "createdAt": "example", "description": "example", "entries": [ { "createdAt": "example", "id": 1, "objectId": 1, "updatedAt": "example", "value": "example" } ], "id": 1, "isUsed": true, "isUsedBy": "example", "lastRefreshAt": "example", "lastRefreshError": "example", "name": "example", "refreshIntervalSeconds": 1, "resolutionChecksum": "example", "resolutions": [ { "createdAt": "example", "id": 1, "objectId": 1, "resolvedIp": "example", "resolvedValue": "example", "updatedAt": "example" } ], "sourceChecksum": "example", "type": "example", "updatedAt": "example" } ], "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}